aboutsummaryrefslogtreecommitdiffstats
path: root/policy-management/src/main/server-gen/bin/telemetry
diff options
context:
space:
mode:
authorJorge Hernandez <jh1730@att.com>2017-07-24 08:48:51 -0500
committerJorge Hernandez <jh1730@att.com>2017-07-24 08:48:51 -0500
commitb395d8251fffd36040d47c88b1346c5655d56a21 (patch)
tree94246673a7952c0ea8c83dfa75cb33cb56127d28 /policy-management/src/main/server-gen/bin/telemetry
parent1ad88d1ce542a10fb57d1205ac10c8882d103723 (diff)
[POLICY-66] consolidate script naming + location
consolidate scripting convention by all adopting not .sh for bash scripts. Location is under policy-management/src/main/server-gen/bin/ so they are inherited by lab installations that don't use the packages directory. Change-Id: Ibcbd4bffad38e87cb3b644deb768120b1a6b2cbb Signed-off-by: Jorge Hernandez <jh1730@att.com>
Diffstat (limited to 'policy-management/src/main/server-gen/bin/telemetry')
-rw-r--r--policy-management/src/main/server-gen/bin/telemetry44
1 files changed, 44 insertions, 0 deletions
diff --git a/policy-management/src/main/server-gen/bin/telemetry b/policy-management/src/main/server-gen/bin/telemetry
new file mode 100644
index 00000000..397c2508
--- /dev/null
+++ b/policy-management/src/main/server-gen/bin/telemetry
@@ -0,0 +1,44 @@
+#! /bin/bash
+
+###
+# ============LICENSE_START=======================================================
+# ONAP POLICY
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+##
+
+REST_TOOL="http-prompt"
+TELEMETRY_SPEC="${POLICY_HOME}/config/telemetry-spec.json"
+
+if ! type -p "${REST_TOOL}" > /dev/null 2>&1; then
+ echo "error: prerequisite software not found: http-prompt"
+ exit 1
+fi
+
+if ! "${POLICY_HOME}"/bin/policy-management-controller status > /dev/null 2>&1; then
+ echo "error: pdp-d is not running"
+ exit 2
+fi
+
+if [[ ! -r ${TELEMETRY_SPEC} ]]; then
+ echo "generating new spec .."
+ if ! http -a "${ENGINE_MANAGEMENT_USER}:${ENGINE_MANAGEMENT_PASSWORD}" :9696/swagger.json > ${TELEMETRY_SPEC} 2> /dev/null; then
+ echo "error: cannot generate telemetry spec"
+ exit 3
+ fi
+fi
+
+exec http-prompt http://localhost:9696/policy/pdp/engine --auth "${ENGINE_MANAGEMENT_USER}:${ENGINE_MANAGEMENT_PASSWORD}" --spec ${TELEMETRY_SPEC}